%define rh9 %(r="`rpm -q --queryformat='%{VERSION}' redhat-release 2>/dev/null`"; if [ $? -eq 0 ]; then if [ X$r = X9 ]; then echo 1; else echo 0; fi; fi;)
%define mod_name Crypt-SSLeay
%{?_without_rh9: %{expand: %%define rh9 0}}
%{?_with_rh9: %{expand: %%define rh9 1}}
Summary: %{mod_name} Perl module
Name: perl-%{mod_name}
Version: 0.49
Release: 8
License: GPL or Artistic
Group: Development/Libraries
URL: http://search.cpan.org/dist/%{mod_name}/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
%if %{rh9}
BuildRequires: perl >= 2:5.8.0
Requires: %(perl -MConfig -le 'if (defined $Config{useithreads}) { print "perl(:WITH_ITHREADS)" } else { print "perl(:WITHOUT_ITHREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{usethreads}) { print "perl(:WITH_THREADS)" } else { print "perl(:WITHOUT_THREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{uselargefiles}) { print "perl(:WITH_LARGEFILES)" } else { print "perl(:WITHOUT_LARGEFILES)" }')
%else
BuildRequires: perl >= 0:5.6.0
%endif
Source0: %{mod_name}-%{version}.tar.gz

%description
%{summary}.

%prep
%setup -q -n %{mod_name}-%{version}

%build
%if %{rh9}
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix}
# kludge, rh9 seems to make openssl require krb5.h
make CFLAGS="$RPM_OPT_FLAGS" CCFLAGS="-DOPENSSL_NO_KRB5"
%else
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make CFLAGS="$RPM_OPT_FLAGS"
%endif
make test

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT$installarchlib
%if %{rh9}
%makeinstall
%else
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install
%endif
rm -f `find $RPM_BUILD_ROOT -type f -name perllocal.pod -o -name .packlist`

[ -x %{_libdir}/rpm/brp-compress ] && %{_libdir}/rpm/brp-compress

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-%{release}-filelist
if [ "$(cat %{name}-%{version}-%{release}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi

ls . | egrep -i '((eg|example|demo|util|tutorial|doc|README.*|Change.*|TODO|CREDIT|BUG)(|s)|.(gif|jpg|html|txt))$' | sed "s@^@%doc @g" >>  %{mod_name}-%{version}-filelist 2>/dev/null

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root,-)
%doc CHANGES README

%changelog
* Thu Jun 19 2003 <build@lanceerplaats.nl>
- make it build on redhat 7.3 and 9


